CREATE TABLE gl_coa_map_multi_seg_rules (
    COA_MAPPING_ID                NUMBER(18, 0)    NOT NULL,
    MULTI_SEGMENT_RULE_ID         NUMBER(18, 0),
    TO_SEGMENT_COLUMN_NAME        VARCHAR2(120)    NOT NULL,
    TO_VALUE_SET_ID               NUMBER(18, 0)    NOT NULL,
    FROM_SEGMENT1_COLUMN_NAME     VARCHAR2(120)    NOT NULL,
    FROM_SEGMENT1_VALUE_SET_ID    NUMBER(18, 0)    NOT NULL,
    FROM_SEGMENT2_COLUMN_NAME     VARCHAR2(120)    NOT NULL,
    FROM_SEGMENT2_VALUE_SET_ID    NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_CATEGORY            VARCHAR2(600),
    ATTRIBUTE1                    VARCHAR2(600),
    ATTRIBUTE2                    VARCHAR2(600),
    ATTRIBUTE3                    VARCHAR2(600),
    ATTRIBUTE4                    VARCHAR2(600),
    ATTRIBUTE5                    VARCHAR2(600),
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    COA_MAPPING_ID                NUMBER(18, 0)    NOT NULL,
    MULTI_SEGMENT_RULE_ID         NUMBER(18, 0),
    TO_SEGMENT_COLUMN_NAME        VARCHAR2(120)    NOT NULL,
    TO_VALUE_SET_ID               NUMBER(18, 0)    NOT NULL,
    FROM_SEGMENT1_COLUMN_NAME     VARCHAR2(120)    NOT NULL,
    FROM_SEGMENT1_VALUE_SET_ID    NUMBER(18, 0)    NOT NULL,
    FROM_SEGMENT2_COLUMN_NAME     VARCHAR2(120)    NOT NULL,
    FROM_SEGMENT2_VALUE_SET_ID    NUMBER(18, 0)    NOT NULL,
    ATTRIBUTE_CATEGORY            VARCHAR2(600),
    ATTRIBUTE1                    VARCHAR2(600),
    ATTRIBUTE2                    VARCHAR2(600),
    ATTRIBUTE3                    VARCHAR2(600),
    ATTRIBUTE4                    VARCHAR2(600),
    ATTRIBUTE5                    VARCHAR2(600),
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_gl_coa_map_multi_seg_rules PRIMARY KEY (MULTI_SEGMENT_RULE_ID, MULTI_SEGMENT_RULE_ID)
);
